Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2083017 (CVE-2022-1616) - CVE-2022-1616 vim: heap-buffer-overflow in append_command of src/ex_docmd.c
Summary: CVE-2022-1616 vim: heap-buffer-overflow in append_command of src/ex_docmd.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2022-1616
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2083472 2111904
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-09 06:11 UTC by TEJ RATHI
Modified: 2022-11-24 07:31 UTC (History)
6 users (show)

Fixed In Version: vim 8.2.4895
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim, which is vulnerable to a heap-buffer-overflow in append_command of the src/ex_docmd.c function. This flaw allows a specially crafted file to crash software, modify memory, or execute code when opened in vim.
Clone Of:
Environment:
Last Closed: 2022-08-10 11:46:24 UTC
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2022-05-09 06:11:26 UTC
Heap Buffer Overflow in append_command in vim/vim prior to 8.2.4895.

https://github.com/vim/vim/commit/d88934406c5375d88f8f1b65331c9f0cab68cc6c
https://huntr.dev/bounties/40f1d75f-fb2f-4281-b585-a41017f217e2

Comment 1 Marian Rehak 2022-05-10 07:48:14 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2083472]

Comment 2 Marian Rehak 2022-05-26 11:57:56 UTC
Victim has to run an untrusted file IN SCRIPT MODE. Changing severity to Low.


Note You need to log in before you can comment on or make changes to this bug.